NestedScheduleElement (TreeSched API)
Keywords: org.treesched.ant.NestedScheduleElement class

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.treesched.ant
Class NestedScheduleElement

    java.lang.Object
      org.treesched.ant.NestedScheduleElement

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class NestedScheduleElement
extends java.lang.Object
implements org.apache.tools.ant.DynamicConfigurator

Represents a nested scheudle element of an Ant build file.

Constructor Summary
`NestedScheduleElement(Schedule schedule)` Constructor.

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)`
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedScheduleElement

    public NestedScheduleElement(Schedule schedule)

  Constructor.

Parameters:
  `schedule` - The schedule this wraps.

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws org.apache.tools.ant.BuildException

  Specified by:
    `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)
                                          throws org.apache.tools.ant.BuildException

  Specified by:
    `createDynamicElement` in interface `org.apache.tools.ant.DynamicConfigurator`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD